WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Not Compatible with Woocommerce 2.1.0

[Resolved] Not Compatible with Woocommerce 2.1.0

Viewing 15 replies - 1 through 15 (of 35 total)
  • I am experiencing the same problem, with many of my (now very unhappy) customers unable to purchase from my website.

    Customers experience “Invalid shipping method” upon check-out. Then unable to proceed with transaction.

    Same here,
    calculate_shipping is not called.

    This is my error message:

    Warning: array_intersect() [function.array-intersect]: Argument #1 is not an array in /home/checkmy/public_html/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-shipping-method.php on line 179

    Warning: in_array() [function.in-array]: Wrong datatype for second argument in /home/checkmy/public_html/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-shipping-method.php on line 189

    public function is_available( $package ) {
        	if ( $this->enabled == "no" )
        		return false;
    
    		// Country availability
    		switch ( $this->availability ) {
    			case 'specific' :
    			case 'including' :
    				$ship_to_countries = array_intersect( $this->countries, array_keys( WC()->countries->get_shipping_countries() ) );
    			break;
    			case 'excluding' :
    				$ship_to_countries = array_diff( $this->countries, array_keys( WC()->countries->get_shipping_countries() ) );
    			break;
    			default :
    				$ship_to_countries = array_keys( WC()->countries->get_shipping_countries() );
    			break;
    		}
    
    		if ( ! in_array( $package['destination']['country'], $ship_to_countries ) )
    			return false;
    
    		return apply_filters( 'woocommerce_shipping_' . $this->id . '_is_available', true, $package );
        }

    These are lines 171 -193 of the specified file.

    Erik

    @erikandershed

    Same here.. its not working :/

    Yes, this is most unfortunate as we really love your plugin Andy! Please update it for us, thanks so much for your great work!

    I’m having the same problem! 😀

    Guys and gals, I just found a suitable replacement for this:

    http://wordpress.org/plugins/woocommerce-apg-weight-and-postcodestatecountry-shipping/

    That plugin claims it was based on this one, but is updated and works with the new WooCommerce. I’ve switched, it works perfectly, I suggest you do too as this one sadly isn’t updated any more.

    Hey guys, if you want a quick fix , check my article

    [AWD Weight Shipping for WooCommerce] not Working with Woocommerce 2.1.0

    Thank you so much harryduns! I have done as you suggested and works perfectly. Can’t thank you enough.

    Thanks JeriffCheng for this quick fix, it works fine.

    Thank you thank you JeriffCheng for this fix – works perfectly – thank God!

    harryduns – also thanks for the possible alternative – good for future sites.

    Thanks Jeriff, but this fix changes the WooCommerce core files and will be overwritten every time WooCommerce is upgraded.

    Is there a planned fix in the next version of your AWD plugin which doesn’t need this patch?

    same here, broken after Woo upgrade so am checking out the replacement plugin, shame as this was nice but no good any more 🙁

    Thank you, JeriffCheng!

Viewing 15 replies - 1 through 15 (of 35 total)
  • The topic ‘[Resolved] Not Compatible with Woocommerce 2.1.0’ is closed to new replies.